List recent screen commands
GET
/api/v1/screens/{id}/commands
const url = 'https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/commands';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/screens/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/commandsRequires an authenticated dashboard user.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
Responses
Section titled “ Responses ”Command history
Media typeapplication/json
object
data
required
object
items
required
Array<object>
object
id
required
string format: uuid
type
required
string
payload
required
Per-type command arguments validated at queue time.
object
key
additional properties
any
state
required
string
createdAt
required
string format: date-time
expiresAt
required
string format: date-time
deliveredAt
string | null format: date-time
acknowledgedAt
string | null format: date-time
completedAt
string | null format: date-time
resultCode
string | null
resultMessage
string | null
total
required
integer
Example
{ "data": { "items": [ { "type": "sync_now", "state": "pending" } ] }}